import { AfterViewInit, ElementRef, EventEmitter, TemplateRef } from '@angular/core';
import { PageViewModeType, ScrollModeType } from '../../options/pdf-viewer';
import { SpreadType } from '../../options/spread-type';
import { ResponsiveVisibility } from '../../responsive-visibility';
import * as i0 from "@angular/core";
export declare class PdfToolbarComponent implements AfterViewInit {
    private elementRef;
    customToolbar: TemplateRef<any> | undefined;
    mobileFriendlyZoomScale: number;
    primaryMenuVisible: boolean;
    showDownloadButton: ResponsiveVisibility;
    showDrawEditor: ResponsiveVisibility;
    showHighlightEditor: ResponsiveVisibility;
    showTextEditor: ResponsiveVisibility;
    showStampEditor: ResponsiveVisibility;
    showFindButton: ResponsiveVisibility | undefined;
    showHandToolButton: ResponsiveVisibility;
    handTool: boolean;
    showOpenFileButton: ResponsiveVisibility;
    showPrintButton: ResponsiveVisibility;
    showPagingButtons: ResponsiveVisibility;
    showPresentationModeButton: ResponsiveVisibility;
    showRotateCwButton: ResponsiveVisibility;
    showRotateCcwButton: ResponsiveVisibility;
    showSecondaryToolbarButton: ResponsiveVisibility;
    showSidebarButton: ResponsiveVisibility;
    sidebarVisible: boolean | undefined;
    showZoomButtons: ResponsiveVisibility;
    textLayer: boolean | undefined;
    toolbarMarginTop: string;
    toolbarWidth: string;
    zoomLevels: (string | number)[];
    pageViewMode: PageViewModeType;
    pageViewModeChange: EventEmitter<PageViewModeType>;
    spread: SpreadType;
    scrollMode: ScrollModeType;
    showPropertiesButton: ResponsiveVisibility;
    showSpreadButton: ResponsiveVisibility;
    showSinglePageModeButton: ResponsiveVisibility;
    showVerticalScrollButton: ResponsiveVisibility;
    showHorizontalScrollButton: ResponsiveVisibility;
    showWrappedScrollButton: ResponsiveVisibility;
    showInfiniteScrollButton: ResponsiveVisibility;
    showBookModeButton: ResponsiveVisibility;
    onToolbarLoaded: EventEmitter<HTMLElement>;
    findbarVisible: boolean;
    constructor(elementRef: ElementRef);
    ngAfterViewInit(): void;
    updatePageViewMode(pageViewMode: PageViewModeType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PdfToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PdfToolbarComponent, "pdf-toolbar", never, { "customToolbar": { "alias": "customToolbar"; "required": false; }; "mobileFriendlyZoomScale": { "alias": "mobileFriendlyZoomScale"; "required": false; }; "primaryMenuVisible": { "alias": "primaryMenuVisible"; "required": false; }; "showDownloadButton": { "alias": "showDownloadButton"; "required": false; }; "showDrawEditor": { "alias": "showDrawEditor"; "required": false; }; "showHighlightEditor": { "alias": "showHighlightEditor"; "required": false; }; "showTextEditor": { "alias": "showTextEditor"; "required": false; }; "showStampEditor": { "alias": "showStampEditor"; "required": false; }; "showFindButton": { "alias": "showFindButton"; "required": false; }; "showHandToolButton": { "alias": "showHandToolButton"; "required": false; }; "handTool": { "alias": "handTool"; "required": false; }; "showOpenFileButton": { "alias": "showOpenFileButton"; "required": false; }; "showPrintButton": { "alias": "showPrintButton"; "required": false; }; "showPagingButtons": { "alias": "showPagingButtons"; "required": false; }; "showPresentationModeButton": { "alias": "showPresentationModeButton"; "required": false; }; "showRotateCwButton": { "alias": "showRotateCwButton"; "required": false; }; "showRotateCcwButton": { "alias": "showRotateCcwButton"; "required": false; }; "showSecondaryToolbarButton": { "alias": "showSecondaryToolbarButton"; "required": false; }; "showSidebarButton": { "alias": "showSidebarButton"; "required": false; }; "sidebarVisible": { "alias": "sidebarVisible"; "required": false; }; "showZoomButtons": { "alias": "showZoomButtons"; "required": false; }; "textLayer": { "alias": "textLayer"; "required": false; }; "toolbarMarginTop": { "alias": "toolbarMarginTop"; "required": false; }; "toolbarWidth": { "alias": "toolbarWidth"; "required": false; }; "zoomLevels": { "alias": "zoomLevels"; "required": false; }; "pageViewMode": { "alias": "pageViewMode"; "required": false; }; "spread": { "alias": "spread"; "required": false; }; "scrollMode": { "alias": "scrollMode"; "required": false; }; "showPropertiesButton": { "alias": "showPropertiesButton"; "required": false; }; "showSpreadButton": { "alias": "showSpreadButton"; "required": false; }; "showSinglePageModeButton": { "alias": "showSinglePageModeButton"; "required": false; }; "showVerticalScrollButton": { "alias": "showVerticalScrollButton"; "required": false; }; "showHorizontalScrollButton": { "alias": "showHorizontalScrollButton"; "required": false; }; "showWrappedScrollButton": { "alias": "showWrappedScrollButton"; "required": false; }; "showInfiniteScrollButton": { "alias": "showInfiniteScrollButton"; "required": false; }; "showBookModeButton": { "alias": "showBookModeButton"; "required": false; }; "findbarVisible": { "alias": "findbarVisible"; "required": false; }; }, { "pageViewModeChange": "pageViewModeChange"; "onToolbarLoaded": "onToolbarLoaded"; }, never, ["*"], false, never>;
}
